// Copyright (c) Microsoft Corporation.
// Licensed under the MIT license.
import { StorageClient } from "./StorageClient";
import { Share } from "./generated/src/operations";
/**
 * ShareClientInternal is the thin wrapper for Share which contains internal helper methods.
 */
export class ShareClientInternal extends StorageClient {
    constructor(url, pipeline) {
        super(url, pipeline);
        this.context = new Share(this.storageClientContext);
    }
    async restore(options = {}) {
        return this.context.restore(options);
    }
}
//# sourceMappingURL=ShareClientInternal.js.map